import { Observable, Subject } from "rxjs";
export declare class CommonFunctionService {
    constructor();
    private closeTabSubject;
    closeTab$: Observable<number>;
    pub: Subject<any>;
    pub$: Observable<any>;
    testMethod(): string;
    setMiddleEllipsis(text: any, maxWidth?: number, fontSize?: number): any;
    getPureUrl(url: string): string;
    closeTab(tabIndex?: number): void;
    publish(event: any): void;
    rtn(str: any): string;
    Guid(): string;
}
